// CodeWarServerView.h : interface of the CCodeWarServerView class
//

#pragma once

#include <vector>
#include "D3DBox.h"

class CCodeWarServerView : public CFormView
{
protected: // create from serialization only
	CCodeWarServerView();
	DECLARE_DYNCREATE(CCodeWarServerView)

public:
	enum{ IDD = IDD_CODEWARSERVER_FORM };

// Attributes
public:
	CCodeWarServerDoc* GetDocument() const;

// Operations
public:

// Overrides
	public:
virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct

// Implementation
public:
	virtual ~CCodeWarServerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
    void render(void);

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
    UINT m_Port;
    afx_msg void OnBnClickedListenBtn();
    afx_msg void OnTimer(UINT nIDEvent);
    afx_msg void OnDestroy();

protected:
    std::vector<std::vector<D3DBox *> > m_Arena;

public:
    virtual BOOL PreTranslateMessage(MSG* pMsg);
};

#ifndef _DEBUG  // debug version in CodeWarServerView.cpp
inline CCodeWarServerDoc* CCodeWarServerView::GetDocument() const
   { return reinterpret_cast<CCodeWarServerDoc*>(m_pDocument); }
#endif

